// Reticle Gui Objects for Kerb's T2 Scripts
//
// (c) 2002 David Gausebeck
// gausebec@paypal.com

//-----------------------------------------------------------------------------

new ShellFieldCtrl(kScriptMortarReticle) {
	profile = "GuiDefaultProfile";
	visible = "0";

	// 50
	new GuiBitmapCtrl(KSR_mortarTick0) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};
	new GuiBitmapCtrl(KSR_mortarRange0) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_mortar50.png";
	};

	// 75
	new GuiBitmapCtrl(KSR_mortarTick1) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};

	// 100
	new GuiBitmapCtrl(KSR_mortarTick2) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};
	new GuiBitmapCtrl(KSR_mortarRange2) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_mortar100.png";
	};

	// 125
	new GuiBitmapCtrl(KSR_mortarTick3) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};

	// 150
	new GuiBitmapCtrl(KSR_mortarTick4) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};
	new GuiBitmapCtrl(KSR_mortarRange4) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_mortar150.png";
	};

	// 175
	new GuiBitmapCtrl(KSR_mortarTick5) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};

	// 200
	new GuiBitmapCtrl(KSR_mortarTick6) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};
	new GuiBitmapCtrl(KSR_mortarRange6) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_mortar200.png";
	};

	// 225
	new GuiBitmapCtrl(KSR_mortarTick7) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};

	// 250
	new GuiBitmapCtrl(KSR_mortarTick8) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};
	new GuiBitmapCtrl(KSR_mortarRange8) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_mortar250.png";
	};

	// 275
	new GuiBitmapCtrl(KSR_mortarTick9) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};

	// 300
	new GuiBitmapCtrl(KSR_mortarTick10) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};
	new GuiBitmapCtrl(KSR_mortarRange10) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_mortar300.png";
	};

	// 325
	new GuiBitmapCtrl(KSR_mortarTick11) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};

	// 350
	new GuiBitmapCtrl(KSR_mortarTick12) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};
	new GuiBitmapCtrl(KSR_mortarRange12) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_mortar350.png";
	};

	// 375
	new GuiBitmapCtrl(KSR_mortarTick13) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};

	// 400
	new GuiBitmapCtrl(KSR_mortarTick14) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};
	new GuiBitmapCtrl(KSR_mortarRange14) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_mortar400.png";
	};

	// 425
	new GuiBitmapCtrl(KSR_mortarTick15) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_mortarTick.png";
	};
	new GuiBitmapCtrl(KSR_mortarRange15) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_mortar425.png";
	};
};

//-----------------------------------------------------------------------------

new ShellFieldCtrl(kScriptGrenadeReticle) {
	profile = "GuiDefaultProfile";
	visible = "0";

	// 50
	new GuiBitmapCtrl(KSR_grenadeTick0) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_grenadeTick.png";
	};
	new GuiBitmapCtrl(KSR_grenadeRange0) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_grenade50.png";
	};

	// 75
	new GuiBitmapCtrl(KSR_grenadeTick1) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_grenadeTick.png";
	};

	// 100
	new GuiBitmapCtrl(KSR_grenadeTick2) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_grenadeTick.png";
	};
	new GuiBitmapCtrl(KSR_grenadeRange2) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_grenade100.png";
	};

	// 125
	new GuiBitmapCtrl(KSR_grenadeTick3) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_grenadeTick.png";
	};

	// 150
	new GuiBitmapCtrl(KSR_grenadeTick4) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_grenadeTick.png";
	};
	new GuiBitmapCtrl(KSR_grenadeRange4) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_grenade150.png";
	};

	// 175
	new GuiBitmapCtrl(KSR_grenadeTick5) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_grenadeTick.png";
	};

	// 200
	new GuiBitmapCtrl(KSR_grenadeTick6) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_grenadeTick.png";
	};
	new GuiBitmapCtrl(KSR_grenadeRange6) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_grenade200.png";
	};

	// 225
	new GuiBitmapCtrl(KSR_grenadeTick7) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "32 9";
		bitmap = "Kerb/kRET_grenadeTick.png";
	};
	new GuiBitmapCtrl(KSR_grenadeRange7) {
		profile = "GuiDefaultProfile";
		visible = "1";
		extent = "31 11";
		bitmap = "Kerb/kRET_grenade225.png";
	};
};
